APIVoid logo

SSL Info API Reference

Get detailed SSL certificate information of a host: owner, issuer, validity dates, and more.

Service details and pricing: SSL Info API

POSThttps://api.apivoid.com/v2/ssl-info
1 credit per successful requestPOST · JSON

Request example

Query the endpoint via an HTTPS POST request (replace YOUR_API_KEY_HERE with your API key):

curl
curl -X POST "https://api.apivoid.com/v2/ssl-info" \
     -H "Content-Type: application/json" \
     -H "X-API-Key: YOUR_API_KEY_HERE" \
     -d '{"host": "paypal.com"}'

The same request in PHP:

php
$host = 'paypal.com';

$apiKey = 'YOUR_API_KEY_HERE';

$curl = curl_init('https://api.apivoid.com/v2/ssl-info');
curl_setopt($curl, CURLOPT_HTTPHEADER, ['Content-Type: application/json', 'X-API-Key: ' . $apiKey]);
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_POSTFIELDS, json_encode(['host' => $host]));
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($curl);
$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);
curl_close($curl);

if ($httpCode === 200) {
    $responseData = json_decode($response, true);
    print_r($responseData);
} else {
    print_r('An error occurred: '.$response);
}

Request parameters

Required

hoststringRequired

Host to submit, e.g. google.com.

Optional

portintegerDefault: 443

SSL port to check. Must be between 443 and 65535.

Response example

A successful request returns HTTP 200 with a JSON body:

json · 200
{
    "host": "paypal.com",
    "port": 443,
    "certificate": {
        "found": true,
        "debug_message": "",
        "fingerprint_sha1": "6f55d7d0b407cb6bb13bd14a1cbb105c0ee5c3d5",
        "fingerprint_sha256": "faf941ad6b7339463bcea590e77e39f7930a168eb6d130d79c3be12c5de83894",
        "type": "Extended Validation",
        "deprecated_issuer": false,
        "name_match": true,
        "blacklisted": false,
        "self_signed": false,
        "expired": false,
        "revoked": false,
        "valid": true,
        "details": {
            "subject": {
                "name": "SERIALNUMBER=3014267,CN=paypal.com,O=PayPal\\, Inc.,L=San Jose,ST=California,C=US,2.5.4.15=#131450726976617465204f7267616e697a6174696f6e,1.3.6.1.4.1.311.60.2.1.2=#130844656c6177617265,1.3.6.1.4.1.311.60.2.1.3=#13025553",
                "common_name": "paypal.com",
                "alternative_names": "paypal.com, paypal-workplace.com, xoom-experience.com, www.curv.cc, buyindiaonline.com, www.curv.co, curv.co, xoom.com, venmo-experience.com, sandbox.paypal.com, paypal.me, curv.cc, simility.com, paypal-experience.com, www.paypal.biz, www.simility.com, paypal.biz, cash2india.com, pypl.com, fastlane.paypal.com, paypal.co.uk, paypal.com.tr, paypal.ca, paypal-promo.es, paypal-marketing.co.uk, paypal-sverige.se, paypalgivingfund.org, paypal.com.hk, paypal.com.tw, paypalobjects.com, paypal-partners.com, paypal.se, PAYPAL.CO, paypal-nakit.com, paypal-mktg.com, paypal-marketing.ca, paypal-communications.com, paypal.fr, paypal.jp, paypal.no, paypal-donations.co.uk, paypal.be, paypal-passport.com, paypal.fi, paypal.nl, paypal-latam.com, paypal.vn, paypal-gifts.com, paypal.co.za, PAYPAL-MARKETING.PL, paypal.at, paypal-australia.com.au, paypal.co.in, paypal-danmark.dk, paypal-turkiye.com, paypal.co.il, paypal.com.cn, paypal-prepagata.com, paypal.es, paypal.eu, paypal.it, paypal.com.pe, paypal.in, paypal-business.com.au, paypal.co.id, paypal-globalshops.com, paypal-optimizer.com, paypal-mena.com, paypal-donations.com, paypal.ie, paypal.co.nz, paypal-media.com, paypal-information.com, paypal.com.sa, paypal-knowledge.com, paypal-businesscenter.com, paypal-community.com, PAYPAL-DEUTSCHLAND.DE, paypal.lu, PAYPAL.COM.MY, paypal.com.sg, paypal.dk, paypal.com.br, paypal.de, paypal-knowledge-test.com, paypal.pt, paypal.co.th, thepaypalblog.com, paypal-norge.no, paypal.pl, paypal.ph, paypal.com.ve, paypal.com.mx, paypal.cl, paypal-business.co.uk, paypal.com.au, paypalbenefits.com, paypal.ch, paypal.com.ar, paypal-support.com",
                "organization_unit": [],
                "organization": "PayPal, Inc.",
                "category": "Private Organization",
                "country": "US",
                "street": [],
                "postal_code": "",
                "state": "California",
                "location": "San Jose",
                "serial_number": "3014267",
                "inc_country": "US",
                "inc_state": "Delaware"
            },
            "issuer": {
                "common_name": "DigiCert EV RSA CA G2",
                "organization": "DigiCert Inc",
                "country": "US",
                "state": "",
                "location": "",
                "organization_unit": []
            },
            "public_key": {
                "algorithm": "RSA",
                "size": 2048
            },
            "crl_endpoints": [
                "http://crl3.digicert.com/DigiCertEVRSACAG2.crl",
                "http://crl4.digicert.com/DigiCertEVRSACAG2.crl"
            ],
            "signature": {
                "serial": "14728578715614846917259483520735530892",
                "serial_hex": "0B149EFF02F1C650CF59029012764F8C",
                "type": "SHA256-RSA"
            },
            "validity": {
                "days_left": 269,
                "expired_from_days": 0,
                "valid_from": "Mon, 26 Aug 2024 00:00:00 UTC",
                "valid_to": "Mon, 25 Aug 2025 23:59:59 UTC",
                "valid_from_timestamp": 1724630400,
                "valid_to_timestamp": 1756166399
            },
            "certificate_authority": false,
            "authority_key_id": "301680146a4e50bf98689d5b7b2075d45901794866923206",
            "subject_key_id": "04148d939fbf9c7cf8ba64066baa73bb814351b7dc41",
            "key_usages": [
                "Digital Signature",
                "Key Encipherment"
            ],
            "extended_key_usages": [
                "Server Authentication",
                "Client Authentication"
            ],
            "authority_info": [
                {
                    "location": "http://ocsp.digicert.com",
                    "method": "OCSP"
                },
                {
                    "location": "http://cacerts.digicert.com/DigiCertEVRSACAG2.crt",
                    "method": "CA Issuers"
                }
            ]
        }
    },
    "elapsed_ms": 289
}

Response fields

The fields returned in the JSON response:

hoststring

Host submitted for the SSL check.

portinteger

Port used for the SSL connection, e.g. 443.

certificate → foundboolean

Returns true if a SSL certificate was found.

certificate → debug_messagestring

Debug or error details about the request, if any. Empty string if none.

certificate → fingerprint_sha1string

SHA-1 fingerprint of the certificate.

certificate → fingerprint_sha256string

SHA-256 fingerprint of the certificate.

certificate → typestring

SSL certificate type, can be Domain Validation, Organization Validation or Extended Validation.

certificate → deprecated_issuerboolean

Returns true if the certificate was issued by a deprecated or distrusted certificate authority.

certificate → name_matchboolean

Returns true if the certificate matches the submitted host name.

certificate → blacklistedboolean

Returns true if SSL certificate is blacklisted by SSLBL.

certificate → self_signedboolean

Returns true if the certificate is self-signed.

certificate → expiredboolean

Returns true if the certificate is expired.

certificate → revokedboolean

Returns true if the certificate has been revoked.

certificate → validboolean

Returns true if SSL certificate is valid.

certificate → details → subject → namestring

Full subject distinguished name (DN) of the certificate.

certificate → details → subject → common_namestring

Common Name (CN) of the certificate subject.

certificate → details → subject → alternative_namesstring

Subject Alternative Names (SANs) covered by the certificate, comma-separated.

certificate → details → subject → organization_unitarray

Organizational Unit (OU) entries of the subject. Empty array if none.

certificate → details → subject → organizationstring

Organization (O) of the certificate subject. Empty string if not present.

certificate → details → subject → categorystring

Subject category for EV certificates, e.g. Private Organization. Empty string if not present.

certificate → details → subject → countrystring

Country (C) of the certificate subject. Empty string if not present.

certificate → details → subject → streetarray

Street address entries of the subject. Empty array if none.

certificate → details → subject → postal_codestring

Postal code of the subject. Empty string if not present.

certificate → details → subject → statestring

State or province (ST) of the certificate subject. Empty string if not present.

certificate → details → subject → locationstring

Locality (L) of the certificate subject. Empty string if not present.

certificate → details → subject → serial_numberstring

Subject serial number, typically present on EV certificates. Empty string if not present.

certificate → details → subject → inc_countrystring

Jurisdiction country of incorporation for EV certificates. Empty string if not present.

certificate → details → subject → inc_statestring

Jurisdiction state of incorporation for EV certificates. Empty string if not present.

certificate → details → issuer → common_namestring

Common Name (CN) of the certificate issuer.

certificate → details → issuer → organizationstring

Organization (O) of the certificate issuer.

certificate → details → issuer → countrystring

Country (C) of the certificate issuer.

certificate → details → issuer → statestring

State or province (ST) of the certificate issuer. Empty string if not present.

certificate → details → issuer → locationstring

Locality (L) of the certificate issuer. Empty string if not present.

certificate → details → issuer → organization_unitarray

Organizational Unit (OU) entries of the issuer. Empty array if none.

certificate → details → public_key → algorithmstring

Public key algorithm, e.g. RSA or ECDSA.

certificate → details → public_key → sizeinteger

Public key size, in bits (e.g. 2048).

certificate → details → crl_endpointsarray

Certificate Revocation List (CRL) distribution point URLs.

certificate → details → signature → serialstring

Certificate serial number, in decimal.

certificate → details → signature → serial_hexstring

Certificate serial number, in hexadecimal (same format as openssl x509 -serial).

certificate → details → signature → typestring

Signature algorithm of the certificate, e.g. SHA256-RSA.

certificate → details → validity → days_leftinteger

Days remaining until the certificate expires.

certificate → details → validity → expired_from_daysinteger

Days since the certificate expired; 0 if not expired.

certificate → details → validity → valid_fromstring

Start of the certificate validity period (UTC).

certificate → details → validity → valid_tostring

End of the certificate validity period (UTC).

certificate → details → validity → valid_from_timestampinteger

Start of the validity period, as Unix timestamp.

certificate → details → validity → valid_to_timestampinteger

End of the validity period, as Unix timestamp.

certificate → details → certificate_authorityboolean

Returns true if the certificate is a CA certificate.

certificate → details → authority_key_idstring

Authority Key Identifier (AKID) extension value.

certificate → details → subject_key_idstring

Subject Key Identifier (SKID) extension value.

certificate → details → key_usagesarray

Key usages allowed by the certificate, e.g. Digital Signature.

certificate → details → extended_key_usagesarray

Extended key usages of the certificate, e.g. Server Authentication.

certificate → details → authority_infoarray

Authority Information Access (AIA) endpoints; each item has method and location.

certificate → details → authority_info[n] → locationstring

URL of the AIA endpoint.

certificate → details → authority_info[n] → methodstring

AIA access method: CA Issuers or OCSP.

elapsed_msinteger

Time taken to process the request, in milliseconds.